Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.lucene
Class LuceneSearchConfiguration

    java.lang.Object
      org.modeshape.jcr.query.lucene.LuceneSearchConfiguration

All Implemented Interfaces:
  org.hibernate.search.cfg.spi.SearchConfiguration

Direct Known Subclasses:
  BasicLuceneConfiguration

    public abstract class LuceneSearchConfiguration

extends Object
implements org.hibernate.search.cfg.spi.SearchConfiguration

The Hibernate Search `SearchConfiguration` implementation that specifies how Hibernate Search should be configured.

Field Summary
`protected static String` | `DEFAULT_INDEX`
`protected static String` | `HIBERNATE_PROPERTY_PREFIX`

Constructor Summary
`protected` | `LuceneSearchConfiguration(Class<?>... annotatedAndBridgeClasses)`

Method Summary
`Class<?>` | `getClassMapping(String name)`
`Iterator<Class<?>>` | `getClassMappings()`
`org.hibernate.search.spi.InstanceInitializer` | `getInstanceInitializer()`
`org.hibernate.search.cfg.SearchMapping` | `getProgrammaticMapping()`
`Properties` | `getProperties()`
`String` | `getProperty(String propertyName)`
`Map<Class<? extends org.hibernate.search.spi.ServiceProvider<?>>,Object>` | `getProvidedServices()`
`org.hibernate.annotations.common.reflection.ReflectionManager` | `getReflectionManager()`
`org.apache.lucene.util.Version` | `getVersion()`
`boolean` | `isTransactionManagerExpected()`
`protected void` | `setProperty(String name, String value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.search.cfg.spi.SearchConfiguration
`isIndexMetadataComplete`

Field Detail

### HIBERNATE_PROPERTY_PREFIX

    protected static final String HIBERNATE_PROPERTY_PREFIX

See Also:
  Constant Field Values

### DEFAULT_INDEX

    protected static final String DEFAULT_INDEX

See Also:
  Constant Field Values

Constructor Detail

### LuceneSearchConfiguration

    protected LuceneSearchConfiguration(Class<?>... annotatedAndBridgeClasses)

Parameters:
  `annotatedAndBridgeClasses` - the annotated classes that will be submitted to the indexer

Method Detail

### setProperty

    protected void setProperty(String name,
                               String value)

### getVersion

    public org.apache.lucene.util.Version getVersion()

### getClassMappings

    public Iterator<Class<?>> getClassMappings()

  Specified by:
    `getClassMappings` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### getClassMapping

    public Class<?> getClassMapping(String name)

  Specified by:
    `getClassMapping` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### getProperty

    public String getProperty(String propertyName)

  Specified by:
    `getProperty` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### getReflectionManager

    public org.hibernate.annotations.common.reflection.ReflectionManager getReflectionManager()

  Specified by:
    `getReflectionManager` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### getProgrammaticMapping

    public org.hibernate.search.cfg.SearchMapping getProgrammaticMapping()

  Specified by:
    `getProgrammaticMapping` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### getProvidedServices

    public Map<Class<? extends org.hibernate.search.spi.ServiceProvider<?>>,Object> getProvidedServices()

  Specified by:
    `getProvidedServices` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### isTransactionManagerExpected

    public boolean isTransactionManagerExpected()

  Specified by:
    `isTransactionManagerExpected` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### getInstanceInitializer

    public org.hibernate.search.spi.InstanceInitializer getInstanceInitializer()

  Specified by:
    `getInstanceInitializer` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.